Subject: Re: [lojban] centripetality: subset vs component

From: "Jorge Llambias" <[email-masked]>
Date: Fri, 12 May 2000 15:03:23 -0000

la ivAn cusku di'e

> > Numbers are ordered most significant digit to least
> > significant digit, with zeroes elided from both ends.
> 
> But not with significant things elided from the big end.

Only if you decide that zeroes are not significant,
which I agree is the usual thing to do. But significant 
digits are elided sometimes, when they are obvious from
context. For example, this sounds ok to me: "How old
are you? Twenty-five, twenty-six?" "Seven". Also, in places
where you have to take a number to be served, numbers 
are often called by the last two digits, even if the
tickets have more significant digits. And of course, 
in years it is common to elide the century digits.

Another system that nobody has mentioned yet is phone 
numbers. These are clearly centripetal, with left elision
(country code, city code). 

> Yes, there is a certain similarity between numbers and
> dates, but it should not be overestimated.

I agree it need not be the decisive argument, but
it is, at least to me, an important similarity.

I think that the existence of the ISO norm is the most 
persuasive to me. I don't see the point in going against 
the world trend for no strong reason. Not that it matters 
that much what we decide. If it becomes more and more used
internationally, as I expect it will, Lojbanists will turn 
to that format of their own accord, the grammar already 
supports the format anyway.

> > {le 2000moi nanca ke 5moi masti ke 11moi djedi}
[...]
> The larger unit does not specify
> a type of the smaller; it specifies an instance. So rather
> than `What kind of 11th? May 11th', it goes: `Which 11th?
> (The 11th of which month?) The 11th of May'. And such
> constructions tend to branch to the right in Lojban.

I don't think I agree that tanru can never cover instance
specification. But I've always had trouble asking "which?"
in Lojban. I agree that {le mo broda} just doesn't do it.

Any ideas for how to ask "which?" in Lojban? Loglan has
a special word for it.

Back to our case, you don't think that 
{le 2000moi nanca ke 5moi masti} could refer to
{le 5moi masti pe le 2000moi nanca}?

> Come to that, the dates-as-tanru analysis may turn out
> to hold in the opposite way. Consider this:

I think this is what pc was saying, although I had not
understood it until now.

[...]
> Today is a day of 2000 -- to be more precise, it is a
> May-ish [day of 2000] -- to be even more precise, it is
> a [12th-of-the-month]-type_of a [May-ish [day of 2000]].
> Looks perfectly tanru-like to me.

That would be something like:
{le 12moi djedi ke 5moi masti ke 2000moi nanca djedi}

You do need the djedi at the end to make sense. But in 
this case you would be saying that the "most elidable"
information is the day of the month, rather than the year.

A more reasonable expression for the ddmmyyyy order
is something like:

{le 12moi djedi pe le 5moi masti pe le 2000moi nanca}

co'o mi'e xorxes